#ifndef EDITCOMMENTDLG_H
#define EDITCOMMENTDLG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_editcommentdlg
{
public:
    QVBoxLayout *vboxLayout;
    QLineEdit *lineEdit;
    QHBoxLayout *hboxLayout;
    QPushButton *fontButton;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *editcommentdlg)
    {
    editcommentdlg->setObjectName(QString::fromUtf8("editcommentdlg"));
    editcommentdlg->resize(QSize(394, 100).expandedTo(editcommentdlg->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(editcommentdlg);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    lineEdit = new QLineEdit(editcommentdlg);
    lineEdit->setObjectName(QString::fromUtf8("lineEdit"));

    vboxLayout->addWidget(lineEdit);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    fontButton = new QPushButton(editcommentdlg);
    fontButton->setObjectName(QString::fromUtf8("fontButton"));
    fontButton->setAutoDefault(false);

    hboxLayout->addWidget(fontButton);

    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(editcommentdlg);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(editcommentdlg);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout);

    QWidget::setTabOrder(lineEdit, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    QWidget::setTabOrder(cancelButton, fontButton);
    retranslateUi(editcommentdlg);
    QObject::connect(okButton, SIGNAL(clicked()), editcommentdlg, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), editcommentdlg, SLOT(reject()));

    QMetaObject::connectSlotsByName(editcommentdlg);
    } // setupUi

    void retranslateUi(QDialog *editcommentdlg)
    {
    editcommentdlg->setWindowTitle(QApplication::translate("editcommentdlg", "Qt-BSch Edit comment", 0, QApplication::UnicodeUTF8));
    fontButton->setText(QApplication::translate("editcommentdlg", "Font...", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("editcommentdlg", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("editcommentdlg", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(editcommentdlg);
    } // retranslateUi

};

namespace Ui {
    class editcommentdlg: public Ui_editcommentdlg {};
} // namespace Ui

#endif // EDITCOMMENTDLG_H
